Delete an uploaded file
curl --request DELETE \
--url https://alpha.api.trycaesar.com/v1/files/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://alpha.api.trycaesar.com/v1/files/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://alpha.api.trycaesar.com/v1/files/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"deleted": true,
"$schema": "https://alpha.api.trycaesar.com/FileDeleteResponse.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}Files
Delete an uploaded file
Delete one uploaded file by name. The document drops out of workspace search after the next indexing run (one is triggered automatically).
DELETE
/
v1
/
files
/
{name}
Delete an uploaded file
curl --request DELETE \
--url https://alpha.api.trycaesar.com/v1/files/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://alpha.api.trycaesar.com/v1/files/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://alpha.api.trycaesar.com/v1/files/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"deleted": true,
"$schema": "https://alpha.api.trycaesar.com/FileDeleteResponse.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "<string>",
"type": "error",
"$schema": "https://alpha.api.trycaesar.com/ErrorEnvelope.json"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Filename to delete, as returned by GET /v1/files.
Maximum string length:
512